Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.remotecommand
Class XMLCommandConverter

`java.lang.Object
oracle.toplink.remotecommand.XMLCommandConverter`

All Implemented Interfaces:
  CommandConverter

Deprecated. since OracleAS TopLink 10g (10.1.3). There is no direct replacement API.

public class XMLCommandConverter
extends java.lang.Object
implements CommandConverter

Purpose:

This is TopLink Command converter class that impelments the public API oracle.toplink.remotecommand.CommandConverter Description:

The converter provides the conversion between TopLink proprietary cache synchronization command, oracle.toplink.remotecommand.MergeChangeSetCommand and XML org.w3c.dom.Document. When this command converter is plugged into oracle.toplink.remotecommand.CommandManager, it enables third party application to participate in TopLink cluster in the form of receiving or sending cache synchronization command in XML org.w3c.dom.Document format. Responsibilities:

- Convert between MergeChangeSetCommand and XML Document

Since:
  OracleAS TopLink 10g (9.0.4)
See Also:
  `CommandManager`

Constructor Summary
`XMLCommandConverter()` Deprecated.

Method Summary
`Command` | `convertToTopLinkCommand(java.lang.Object xmlCommand)` Deprecated. PUBLIC: Convert input command to oracle.toplink.remotecommand.MergeChangeSetCommand object and throw exception if it cannot convert.
`java.lang.Object` | `convertToUserCommand(Command command)` Deprecated. PUBLIC: Convert TopLink command to org.w3c.dom.Document object and throw exception if it cannot convert

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLCommandConverter

    public XMLCommandConverter()

  Deprecated.

Method Detail

### convertToTopLinkCommand

    public Command convertToTopLinkCommand(java.lang.Object xmlCommand)

  Deprecated.
  PUBLIC: Convert input command to oracle.toplink.remotecommand.MergeChangeSetCommand object and throw exception if it cannot convert. Note that the converter will validate the input command against TopLink schema file command_904.xsd that is in the resource of TopLink library during the conversion.
  Specified by:
    `convertToTopLinkCommand` in interface `CommandConverter`
  Parameters:
    `xmlCommand` - must be of type String or java.io.Reader or a oracle.xml.parser.v2.XMLDocument
  Returns:
    a MergeChangeSetCommand
  Throws:
    `java.lang.RuntimeException` - if there is error during the conversion or the command parameter is not the expected type

### convertToUserCommand

    public java.lang.Object convertToUserCommand(Command command)

  Deprecated.
  PUBLIC: Convert TopLink command to org.w3c.dom.Document object and throw exception if it cannot convert
  Specified by:
    `convertToUserCommand` in interface `CommandConverter`
  Parameters:
    `command` - must be of type oracle.toplink.remotecommand.MergeChangeSetCommand
  Returns:
    org.w3c.dom.Document object
  Throws:
    `java.lang.RuntimeException` - if there is error during the conversion or the command parameter is not the expected type

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD